Subject: Re: [PATCH 1/3] ARM: at91: add atmel tcb capabilities

From: Kamel Bouhara <[email-masked]>
Date: Tue, 7 Apr 2020 22:21:50 +0200

On Tue, Apr 07, 2020 at 12:53:35PM -0400, William Breathitt Gray wrote:
> On Mon, Apr 06, 2020 at 05:53:18PM +0200, Kamel Bouhara wrote:
> > Some atmel socs have extra tcb capabilities that allow using a generic
> > clock source or enabling a quadrature decoder.
> >
> > Signed-off-by: Kamel Bouhara <[email-masked]>
> > ---
> >  include/soc/at91/atmel_tcb.h | 3 ++-
> >  1 file changed, 2 insertions(+), 1 deletion(-)
> >
> > diff --git a/include/soc/at91/atmel_tcb.h b/include/soc/at91/atmel_tcb.h
> > index fbf5474f4484..6b9c9bec982e 100644
> > --- a/include/soc/at91/atmel_tcb.h
> > +++ b/include/soc/at91/atmel_tcb.h
> > @@ -39,7 +39,8 @@ struct clk;
> >   */
> >  struct atmel_tcb_config {
> >  	size_t	counter_width;
> > -	unsigned int has_gclk:1;
>
> Hi Kamel,
>

Hi William,

> I'm having trouble applying this patch, so I think we have different
> bases. Specifically, I'm not sure where this has_gclk member was
> introduced. It doesn't look like it's in the testing branch of the IIO
> tree yet.
>
> What branch did you base your patches on?

You're right, this line should not be here.

I'll fix it for v2.

Thanks,

Kamel

> Thanks,
> William Breathitt Gray
> > +	bool	has_gclk;
> > +	bool	has_qdec;
> >  };
> >  /**
> > --
> > 2.25.0

--
Kamel Bouhara, Bootlin
Embedded Linux and kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel